Share a saved report with other users
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type, including the request body. |
Path Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| specificReportId | ID of the saved report to share | integer (int32) | Required |
Request Body
ShareRequest
| Property | Description | Type |
|---|---|---|
| sharedUserGroupIds | The list of user group ids an item should be shared with Should be an empty list [], when SharedWithEveryone is true Required | integer[] |
| sharedUserIds | The list of individual user ids an item should be shared with Should be an empty list [], when SharedWithEveryone is true Required | integer[] |
| sharedWithEveryone | Set to True to share the item everyone When true, SharedUsers and SharedUserGroups should be set to empty lists [] Required | boolean |
Example Request Body
{ "sharedUserGroupIds": [
1
], "sharedUserIds": [
1
], "sharedWithEveryone": false
}
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
ShareResponse
| Property | Description | Type | ||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| sharedUserGroups | The list of user groups an item has been assigned to be shared with | UserGroupChild[] | ||||||||||||
|
UserGroupChild properties
|
||||||||||||||
| sharedUsers | The list of individual users an item has been assigned to be shared with This does NOT take into account users that are in a shared user group | UserChild[] | ||||||||||||
|
UserChild properties
|
||||||||||||||
| sharedWithEveryone | True if the item is shared with everyone | boolean | ||||||||||||
Example Response
{ "sharedUserGroups": [
{ "userGroupId": 1, "userGroupName": "string"
}
], "sharedUsers": [
{ "fullName": "string", "userCode": "string", "userId": 1
}
], "sharedWithEveryone": false
}